# define a function that sums an array after multiplying each element with its index
def sum_with_indices(arr):
    sum = 0
    for i in range(len(arr)):
        sum += arr[i] * i
    return sum

# do the same but with a list comprehension
def sum_with_indices_lc(arr):
    return sum([arr[i] * i for i in range(len(arr))])

# do something similar but only consider elements that are even
def sum_with_indices_even(arr):
    sum = 0
    for i in range(len(arr)):
        if arr[i] % 2 == 0:
            sum += arr[i] * i
    return sum

print(sum_with_indices_even([2, 2, 2, 5, 6]))

# do the same but do not take the even numbers into account when calculating the index
def sum_with_indices_even2(arr):
    sum = 0
    j = 0
    for i in range(len(arr)):
        if arr[i] % 2 == 0:
            sum += arr[i] * j
            j += 1
    return sum

print(sum_with_indices_even2([2, 2, 2, 5, 6]))

# do sum_with_indices_even2 with a list comprehension instead of a for loop
def sum_with_indices_even2_lc(arr):
    return sum([arr[i] * j for i in range(len(arr)) if arr[i] % 2 == 0])

print(sum_with_indices_even2_lc([2, 2, 2, 5, 6]))